API Reference

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
emailstring · emailRequired
passwordstringRequired
Responses
chevron-right
200

Login successful

application/json
idTokenstringRequired
refreshTokenstringRequired
post
/auth/login
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
refreshTokenstringRequired
Responses
chevron-right
200

ID Token refreshed successfully

application/json
idTokenstringRequired
post
/auth/login/refresh
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
phonestring · min: 1Required
countrystring · enumRequiredPossible values:
Responses
chevron-right
200

Number added to the user successfully. A SMS message will be sent to the user, and they will need to validate it to use the phone number as MFA.

application/json
emailstring · emailRequired

Obfuscated email of the user

hasValidatedEmailbooleanRequired

Whether the email has been confirmed.

emailVerificationDatestring · date-timeOptional

ISO-8601 string representing the time the user verified the email

hasValidatedSecretbooleanRequired

Whether the secret has been validated with user input or not.

secretVerificationDatestring · date-timeOptional

ISO-8601 string representing the time the user verified the TOTP secret

phoneNumberstringOptional

Obfuscated E.164 phone number of the user

hasValidatedPhonebooleanRequired

Whether the secret has been validated with user input or not.

phoneVerificationDatestring · date-timeOptional

ISO-8601 string representing the time the user verified the phone number

lastLoggedDatestring · date-timeRequired

ISO-8601 string representing the last date the user logged in.

statusstring · enumRequired

The current status of the user.

Possible values:
lastLoggedDevicestringRequired

User-agent string of the last logged in device.

lastPasswordChangeDatestring · date-timeRequired

When was the last time the user changed the password.

post
/auth/otp/methods/sms
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
objectOptional
Responses
chevron-right
200

Secret created successfully

application/json
emailstring · emailRequired

Obfuscated email of the user

hasValidatedEmailbooleanRequired

Whether the email has been confirmed.

emailVerificationDatestring · date-timeOptional

ISO-8601 string representing the time the user verified the email

hasValidatedSecretbooleanRequired

Whether the secret has been validated with user input or not.

secretVerificationDatestring · date-timeOptional

ISO-8601 string representing the time the user verified the TOTP secret

phoneNumberstringOptional

Obfuscated E.164 phone number of the user

hasValidatedPhonebooleanRequired

Whether the secret has been validated with user input or not.

phoneVerificationDatestring · date-timeOptional

ISO-8601 string representing the time the user verified the phone number

lastLoggedDatestring · date-timeRequired

ISO-8601 string representing the last date the user logged in.

statusstring · enumRequired

The current status of the user.

Possible values:
lastLoggedDevicestringRequired

User-agent string of the last logged in device.

lastPasswordChangeDatestring · date-timeRequired

When was the last time the user changed the password.

post
/auth/otp/methods/totp
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
x-otpstringRequired
Responses
chevron-right
200

User secret deleted successfully

application/json
emailstring · emailRequired

Obfuscated email of the user

hasValidatedEmailbooleanRequired

Whether the email has been confirmed.

emailVerificationDatestring · date-timeOptional

ISO-8601 string representing the time the user verified the email

hasValidatedSecretbooleanRequired

Whether the secret has been validated with user input or not.

secretVerificationDatestring · date-timeOptional

ISO-8601 string representing the time the user verified the TOTP secret

phoneNumberstringOptional

Obfuscated E.164 phone number of the user

hasValidatedPhonebooleanRequired

Whether the secret has been validated with user input or not.

phoneVerificationDatestring · date-timeOptional

ISO-8601 string representing the time the user verified the phone number

lastLoggedDatestring · date-timeRequired

ISO-8601 string representing the last date the user logged in.

statusstring · enumRequired

The current status of the user.

Possible values:
lastLoggedDevicestringRequired

User-agent string of the last logged in device.

lastPasswordChangeDatestring · date-timeRequired

When was the last time the user changed the password.

delete
/auth/otp/methods/totp
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
methodstring · enumRequiredPossible values:
Responses
get
/auth/otp/code
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
x-otpany ofRequired
stringOptional
or
stringOptional
Body
channelstring · enumRequired

Channel to verify OTP. If a channel is not configured or is already verified, the response will be an error.

Possible values:
Responses
chevron-right
200

Method correctly verified

application/json
emailstring · emailRequired

Obfuscated email of the user

hasValidatedEmailbooleanRequired

Whether the email has been confirmed.

emailVerificationDatestring · date-timeOptional

ISO-8601 string representing the time the user verified the email

hasValidatedSecretbooleanRequired

Whether the secret has been validated with user input or not.

secretVerificationDatestring · date-timeOptional

ISO-8601 string representing the time the user verified the TOTP secret

phoneNumberstringOptional

Obfuscated E.164 phone number of the user

hasValidatedPhonebooleanRequired

Whether the secret has been validated with user input or not.

phoneVerificationDatestring · date-timeOptional

ISO-8601 string representing the time the user verified the phone number

lastLoggedDatestring · date-timeRequired

ISO-8601 string representing the last date the user logged in.

statusstring · enumRequired

The current status of the user.

Possible values:
lastLoggedDevicestringRequired

User-agent string of the last logged in device.

lastPasswordChangeDatestring · date-timeRequired

When was the last time the user changed the password.

post
/auth/otp/code

Last updated